[SCM] PostGIS branch stable-3.4 updated. 3.4.2-58-gc8bdf2b6f
git at osgeo.org
git at osgeo.org
Fri Aug 30 03:52:46 PDT 2024
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS".
The branch, stable-3.4 has been updated
via c8bdf2b6fdba896d979b9a8fe0d2867b935ac8bb (commit)
from f81e686aab2982c813cd19b6cfb6a086347f8dc6 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit c8bdf2b6fdba896d979b9a8fe0d2867b935ac8bb
Author: Sandro Santilli <strk at kbt.io>
Date: Fri Aug 30 11:29:48 2024 +0200
Backport changes to upgrade tester script
- Enable sfgal extension upgrade testing
- Add info about PostgreSQL 16 and 17 min PostGIS version
References #5773 in 3.4 branch
diff --git a/utils/check_all_upgrades.sh b/utils/check_all_upgrades.sh
index b7710d582..587ea3eff 100755
--- a/utils/check_all_upgrades.sh
+++ b/utils/check_all_upgrades.sh
@@ -107,13 +107,15 @@ minimum_postgis_version_for_postgresql_major_version()
13:3.0
14:3.1
15:3.2
+16:3.3
+17:3.3
EOF
fi
# Drop patch-level number from PostgreSQL version
minsupported=`grep ^${pgver}: ${supportfile} | cut -d: -f2`
test -n "${minsupported}" || {
- echo "Cannot detemine minimum supported PostGIS version for PostgreSQL major version ${pgver}" >&2
+ echo "Cannot determine minimum supported PostGIS version for PostgreSQL major version ${pgver}" >&2
exit 1
}
echo "${minsupported}"
@@ -193,6 +195,9 @@ fi
if test -f postgis_raster--${to_version}.sql; then
INSTALLED_EXTENSIONS="$INSTALLED_EXTENSIONS postgis_raster"
fi
+if test -f postgis_sfcgal--${to_version}.sql; then
+ INSTALLED_EXTENSIONS="$INSTALLED_EXTENSIONS postgis_sfcgal"
+fi
echo "INFO: installed extensions: $INSTALLED_EXTENSIONS"
@@ -214,7 +219,7 @@ for EXT in ${INSTALLED_EXTENSIONS}; do #{
elif test "${EXT}" = "postgis_raster"; then
REGDIR=${BUILDDIR}/raster/test/regress
elif test "${EXT}" = "postgis_sfcgal"; then
- REGDIR=${BUILDDIR}/sfcgal/test/regress
+ REGDIR=${BUILDDIR}/sfcgal/regress
else
echo "SKIP: don't know where to find regress tests for extension ${EXT}"
fi
-----------------------------------------------------------------------
Summary of changes:
utils/check_all_upgrades.sh | 9 +++++++--
1 file changed, 7 insertions(+), 2 deletions(-)
hooks/post-receive
--
PostGIS
More information about the postgis-tickets
mailing list